int find_number(int MAX){
    int st=1,dr=MAX,mij;
    while(st<=dr){
        mij=(st+dr)/2;
        if(smaller(mij)){
            dr=mij-1;
        }
        else{
            st=mij+1;
        }
    }
    return mij;
}